package cn.com.poc.data_analyze.query;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;

import cn.com.yict.framemax.data.model.BaseItemClass;

import javax.persistence.Lob;

/**
 * Query Item class for AgentDataTrendQuery
 */
@Entity
public class AgentDataTrendQueryItem extends BaseItemClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * dialogue_date
     * dialogue_date
     */
    private String dialogueDate;

    @Column(name = "dialogue_date")
    public String getDialogueDate() {
        return this.dialogueDate;
    }

    public void setDialogueDate(String dialogueDate) {
        this.dialogueDate = dialogueDate;
    }

    /**
     * member_count
     * member_count
     */
    private java.lang.Long memberCount;

    @Column(name = "member_count")
    public java.lang.Long getMemberCount() {
        return this.memberCount;
    }

    public void setMemberCount(java.lang.Long memberCount) {
        this.memberCount = memberCount;
    }

    /**
     * usage_count
     * usage_count
     */
    private java.lang.Long usageCount;

    @Column(name = "usage_count")
    public java.lang.Long getUsageCount() {
        return this.usageCount;
    }

    public void setUsageCount(java.lang.Long usageCount) {
        this.usageCount = usageCount;
    }

    /**
     * total_points
     * total_points
     */
    private java.lang.Double totalPoints;

    @Column(name = "total_points")
    public java.lang.Double getTotalPoints() {
        return this.totalPoints;
    }

    public void setTotalPoints(java.lang.Double totalPoints) {
        this.totalPoints = totalPoints;
    }

} 